#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EHapticPulseType {
    LIGHT = 0,
    MEDIUM = 1,
    STRONG = 2,
}

impl EHapticPulseType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::LIGHT as i32 => Some(Self::LIGHT),
            x if x == Self::MEDIUM as i32 => Some(Self::MEDIUM),
            x if x == Self::STRONG as i32 => Some(Self::STRONG),
            _ => None,
        }
    }
}
